!********************************************************************
! Interval Timing Function
! Copyright (C) 2004 Hugh Merz - merz@cita.utoronto.ca
! latest revision Feb 11 2004
!***********************************************************
!This program is free software; you can redistribute it and/or
!modify it under the terms of the GNU General Public License
!as published by the Free Software Foundation; either version 2
!of the License, or (at your option) any later version.
!
!This program is distributed in the hope that it will be useful,
!but WITHOUT ANY WARRANTY; without even the implied warranty of
!MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!GNU General Public License for more details.
!
!You should have received a copy of the GNU General Public License
!along with this program; if not, write to the Free Software
!Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

real(kind=4) function t_elapsed(system_clock_count_init)
  implicit none

  integer :: system_clock_count,system_clock_rate
  integer, intent(in) :: system_clock_count_init

  call system_clock(count=system_clock_count, &
                    count_rate=system_clock_rate)

  t_elapsed=real(system_clock_count - system_clock_count_init) &
            / real(system_clock_rate)

end function t_elapsed
