! topgm.f90 - convert pmfast density projections to portable greymap format

implicit none
integer, parameter :: n=3712          !length of box 
char(len=*) :: ifile='0.033xy.proj'   !input density projection filename
char(len=*) :: ofile='mapxy.pgm'      !output pgm filename

real, dimension(n,n) :: a
integer*1, dimension(n,n) :: map

open(10,file=ifile,form='binary')
read(10) z
read(10) a
close(10)
a=a-minval(a)
a=a/maxval(a)

! one may wish to change the mapping function 

map=127*sqrt(sqrt(a))

open(10,file=ofile)
write(10,'(2hP5)')
write(10,*)n,n
write(10,*) 127
close(10)
open(10,file=ofile,access='append', form='binary')
write(10) map
close(10)
end
